:main
@ECHO=OFF

cls
echo TBL INSTALLER For Windows 9x, NT and DOS
echo 
echo DEFTOOLS are a copyright of Defender Technologies.
echo All rights are reserved by Defender.
echo Please send mail to defender@ottawa-hull.crosswinds.net for more information.
echo 
echo 
echo [1] Install version table files
echo [2] UnInstall version table files
echo [3] Create Backups
echo [4] View supported table files
echo [5] Run Other DEFTOOL Modules
echo [6] Exit TBLINST 1.0

echo 
echo 

echo DEFTOOLS, TBLINST version 1.0
echo 
choice /c:123456 TBLINST Options
if errorlevel 6 goto exit
if errorlevel 5 goto deftools
if errorlevel 4 goto support
if errorlevel 3 goto backups
if errorlevel 2 goto uninst
if errorlevel 1 goto inst

:inst
cls
echo Installing Table files in this directory.
echo The directory should be in your freespace games directory under \data\tables\ .
echo 
echo [example] c:\games\freespace\ data\tables\
echo 
echo Starting Installation Process
pause
echo -----------
ren weapons1.tbl weapons.tbl
ren ships1.tbl ships.tbl
ren rank1.tbl rank.tbl
ren ai1.tbl ai.tbl
ren credits1.tbl credits.tbl
ren medals1.tbl medals.tbl
echo -----------
echo Any errors should be looked at unless you do not have the file.
echo 
echo [example] if you do not have ships2.tbl and had a error about ships2.tbl. 
echo Ignore it. TBLINST is looking for a non-existing file.
echo 
pause
goto main

:uninst
cls
echo TBLUNINST Subroutine of TBLINST.
echo This module has the same effect (even better) than TBLUNINST.
echo 
echo 
echo The directory should be in your freespace games directory under \data\tables\ .
echo 
echo [example] c:\games\freespace\ data\tables\
echo 
echo Starting Un-Installation Process
pause
echo -----------
ren weapons.tbl weapons1.tbl
ren ships.tbl ships1.tbl
ren rank.tbl rank1.tbl
ren ai.tbl ai1.tbl
ren medals.tbl medals1.tbl
ren credits.tbl credits1.tbl
echo -----------
echo Any errors should be looked at unless you do not have the file.
echo 
echo [example] if you do not have ships.tbl and had a error about ships.tbl. 
echo Ignore it. TBLINST is looking for a non-existing file.
echo 
pause
goto main

:support
cls
echo Supported files are:
echo 
echo ----
echo Ships, weapons, credits, rank, species, ai and .tbl 
echo files are supported by TBLINST
echo 
pause
goto main

:deftools
cls
echo DEFTOOLS Options
echo 
echo 
echo [1] Run Defender Technologies Information Guide.
echo [2] Run Defender Technologies Help Guide
echo [3] Return to main menu
echo 
echo 

choice /c:123 Choose 
if errorlevel 3 goto main
if errorlevel 2 goto defhelp
if errorlevel 1 goto definfo

:defhelp
cls
echo Loading Defender Technologies' Help guide.
echo ----
start /w deftools\defhelp.bat
echo ----
pause
goto deftools

:definfo
cls
echo Loading Defender Technologies' Information guide.
echo ----
start /w deftools\definfo.bat
echo ----
pause
goto deftools

:backups
cls
echo Making backups
echo 
echo -----
xcopy *.* tblbckups\
echo -----
echo done...
pause
goto main

:exit
cls
echo Exiting TBLINST.
echo Thanks for choosing DEFTOOLS.
echo 
echo 
echo DEFTOOLS are a copyright of Defender Technologies.
echo All rights are reserved by Defender.
echo 
pause
exit